summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorM0Rf302015-06-17 16:36:45 +0200
committerM0Rf302015-06-17 16:36:45 +0200
commit05d3e048f263ee2b84f078d6b4f2ade3c4f14653 (patch)
treeface68d3e51263c66d9cedf0c86fe17271834f8a
downloadaur-05d3e048f263ee2b84f078d6b4f2ade3c4f14653.tar.gz
Initial import
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD27
2 files changed, 45 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..f06517b5d98
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = unrealtournament-bonuspack4
+ pkgdesc = Bonuspack 4: The Christmas 2000 Pack for Unreal Tournament.
+ pkgver = 20001223
+ pkgrel = 2
+ url = http://www.unrealtournament2004.com/utgoty/
+ arch = i686
+ arch = x86_64
+ groups = unrealtournament
+ groups = unrealtournament-bonuspacks
+ license = custom
+ makedepends = umodunpack
+ depends = unrealtournament
+ conflicts = ut1999-bonuspack4
+ source = http://downloads.unrealadmin.org/UnrealTournament/BonusPack/utbonuspack4.zip
+ md5sums = c9e7373ee15472ec53e62a7199f33966
+
+pkgname = unrealtournament-bonuspack4
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..6da24a4b738
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,27 @@
+# Mantainer: M0Rf30
+
+pkgname=unrealtournament-bonuspack4
+pkgver=20001223
+pkgrel=2
+pkgdesc="Bonuspack 4: The Christmas 2000 Pack for Unreal Tournament."
+arch=('i686' 'x86_64')
+url="http://www.unrealtournament2004.com/utgoty/"
+license=('custom')
+groups=(unrealtournament unrealtournament-bonuspacks)
+depends=(unrealtournament)
+conflicts=(ut1999-bonuspack4)
+makedepends=(umodunpack)
+source=(http://downloads.unrealadmin.org/UnrealTournament/BonusPack/utbonuspack4.zip)
+
+package() {
+ cd "${srcdir}"
+ install --directory -- ${pkgdir}/opt/ut/{System,Textures}
+ umodunpack --base ${pkgdir}/opt/ut --unpack UTBonusPack4.umod \
+ || return 1
+ mv -f -t ${pkgdir}/opt/ut/System -- ${pkgdir}/opt/ut/system/*
+ mv -f -t ${pkgdir}/opt/ut/Textures -- ${pkgdir}/opt/ut/textures/*
+ rm -rf -- ${pkgdir}/opt/ut/{system,textures}
+}
+
+md5sums=('c9e7373ee15472ec53e62a7199f33966')
+